#prints out the correct restraint file for the ligand

path_to_file = '/lustre/jhome17/jics65/jics6500/parallel_pipeline/tools/topol.top'

with open(path_to_file) as f:
        topol = f.readlines()

ctr = 0
bonds = 0

for line in topol:
    ctr += 1
    if line == '[ bonds ]\n':
        bonds = ctr
        break

ter = int(topol[bonds- 3].split()[0])

print';[ position_restraints ] ligand'
print';  i   funct  fcx   fcy   fcz'
print  '  '+str(ter + 1) + '     1  1000  1000  1000'
print  '  '+str(ter + 2) + '     1  1000  1000  1000'
print  '  '+str(ter + 3) + '     1  1000  1000  1000'
print  '  '+str(ter + 4) + '     1  1000  1000  1000'
print  '  '+str(ter + 8) + '     1  1000  1000  1000'
print  '  '+str(ter + 10) + '     1  1000  1000  1000'
print  '  '+str(ter + 13) + '     1  1000  1000  1000'
print  '  '+str(ter + 15) + '     1  1000  1000  1000'
